Agda-2.8.0: A dependently typed functional programming language and proof assistant

Safe Haskell | None
Language | Haskell2010

Agda.TypeChecking.Functions

Synopsis

- etaExpandClause :: PureTCM tcm => Clause -> tcm Clause
- getDef :: Term -> TCM (Maybe QName)

# Documentation

etaExpandClause :: PureTCM tcm => Clause -> tcm Clause Source #

Expand a clause to the maximal arity, by inserting variable patterns and applying the body to variables.

getDef :: Term -> TCM (Maybe QName) Source #

Get the name of defined symbol of the head normal form of a term. Returns `Nothing` if no such head exists.